Subject: Re: bug#68821: Native compile error when activating rectangle-mark-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Jan 2024 18:48:24 +0200

merge 68821 68668
thanks

> From: Johann Höchtl <[email-masked]>
> Date: Tue, 30 Jan 2024 17:01:52 +0100
> 
> I am using Emacs build
> https://github.com/kiennq/emacs-build/releases/download/v30.221.20240118.9553d51/emacs-master-x86_64-full.zip
> 
> 
> 9553d51 may reference a savanah commit hash?
> 
> When invoking rectangle-mark-mode, either via M-x or via C-x <SPACE> I get the following error
> message:
> 
> Error: error ("Invalid hash table test" tab-bar--auto-width-hash-test)
>   read(#<buffer  *load*>)
>   load-with-code-conversion
> ("c:/Users/HoechtlJ/AppData/Local/Temp/emacs-int-comp-subr--trampoline-726567696f6e2d626567696e6e696e67_region_beginning_0-hJjV22.el"
> "c:/Users/HoechtlJ/AppData/Local/Temp/emacs-int-comp-subr--trampoline-726567696f6e2d626567696e6e696e67_region_beginning_0-hJjV22.el"
> nil t)
>   command-line-1(("-l"
> "c:/Users/HoechtlJ/AppData/Local/Temp/emacs-int-comp-subr--trampoline-726567696f6e2d626567696e6e696e67_region_beginning_0-hJjV22.el"))
> 
>   command-line()
>   normal-top-level()
> Invalid hash table test: tab-bar--auto-width-hash-test
> 
> Tab-bar-mode is enabled. Do take note that rectangular selections eg. via cua-mode do work.
> 
> I do not know if this is a Windows specific error, a packaging issue or a general bug.

Looks like a duplicate of bug#68668, so I'm merging them.